PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
PSpoolDirectory Class Reference

`#include <spooldir.h>`

Inheritance diagram for PSpoolDirectory:
[legend]
Collaboration diagram for PSpoolDirectory:
[legend]

## Public Member Functions
| PSpoolDirectory ()
bool | Open (const PDirectory &dir, const PString &type=PString::Empty())
void | Close ()
void | ThreadMain ()
PDirectory | operator= (const PSpoolDirectory &dir) const
PDirectory | GetDirectory () const
PString | CreateLockName (const PString &filename) const
virtual void | ProcessEntry ()
virtual bool | OnProcess (const PString &entry)
virtual bool | OnCleanup (const PString &entry)
virtual PString | CreateUniqueName () const
virtual bool | CreateLockFile (const PString &filename)
virtual bool | DestroyLockFile (const PString &filename)
virtual PString | GetLockExtension () const
virtual void | SetNotifier (const PNotifier &func)

## Protected Attributes
PMutex | m_mutex
PThread * | m_thread
PDirectory | m_directory
PString | m_fileType
bool | m_threadRunning
PDirectory | m_scanner
int | m_timeoutIfNoDir
int | m_scanTimeout
PNotifier | m_callback

## Additional Inherited Members
Private Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Private Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Static Private Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Friends inherited from PObject

## Constructor & Destructor Documentation

PSpoolDirectory::PSpoolDirectory | ( |  | ) |

## Member Function Documentation

void PSpoolDirectory::Close | ( |  | ) |

virtual bool PSpoolDirectory::CreateLockFile | ( | const PString & | filename | ) |
| virtual

PString PSpoolDirectory::CreateLockName | ( | const PString & | filename | ) | const

virtual PString PSpoolDirectory::CreateUniqueName | ( |  | ) | const
| virtual

virtual bool PSpoolDirectory::DestroyLockFile | ( | const PString & | filename | ) |
| virtual

PDirectory PSpoolDirectory::GetDirectory | ( |  | ) | const
| inline

References m_directory.

Referenced by operator=().

virtual PString PSpoolDirectory::GetLockExtension | ( |  | ) | const
| virtual

virtual bool PSpoolDirectory::OnCleanup | ( | const PString & | entry | ) |
| virtual

virtual bool PSpoolDirectory::OnProcess | ( | const PString & | entry | ) |
| virtual

bool PSpoolDirectory::Open | ( | const PDirectory & | dir,
|  | const PString & | type = `PString::Empty()`
| ) |  |

PDirectory PSpoolDirectory::operator= | ( | const PSpoolDirectory & | dir | ) | const
| inline

References GetDirectory().

virtual void PSpoolDirectory::ProcessEntry | ( |  | ) |
| virtual

virtual void PSpoolDirectory::SetNotifier | ( | const PNotifier & | func | ) |
| virtual

void PSpoolDirectory::ThreadMain | ( |  | ) |

## Member Data Documentation

PNotifier PSpoolDirectory::m_callback
| protected

PDirectory PSpoolDirectory::m_directory
| protected

Referenced by GetDirectory().

PString PSpoolDirectory::m_fileType
| protected

PMutex PSpoolDirectory::m_mutex
| protected

PDirectory PSpoolDirectory::m_scanner
| protected

int PSpoolDirectory::m_scanTimeout
| protected

PThread* PSpoolDirectory::m_thread
| protected

bool PSpoolDirectory::m_threadRunning
| protected

int PSpoolDirectory::m_timeoutIfNoDir
| protected

The documentation for this class was generated from the following file:

- spooldir.h